summaryrefslogtreecommitdiff
path: root/compiz-fusion-git-functions
diff options
context:
space:
mode:
authorAlex Heck <nesl247@alex64.(none)>2007-07-12 05:56:16 -0400
committerAlex Heck <nesl247@alex64.(none)>2007-07-12 05:56:16 -0400
commitf2a008c85620a174feda84643031cf58765c429b (patch)
tree9fafe7cdf5161ed3914aa2d3527ab99718f80285 /compiz-fusion-git-functions
parentcc4524e81d59b98f959f25f479088997d04a3016 (diff)
downloadcompiz-fusion-git-scripts-master.tar.gz
compiz-fusion-git-scripts-master.tar.bz2
Initial commitHEADmaster
Diffstat (limited to 'compiz-fusion-git-functions')
-rwxr-xr-xcompiz-fusion-git-functions21
1 files changed, 21 insertions, 0 deletions
diff --git a/compiz-fusion-git-functions b/compiz-fusion-git-functions
new file mode 100755
index 0000000..ffa8cc7
--- /dev/null
+++ b/compiz-fusion-git-functions
@@ -0,0 +1,21 @@
+#!/bin/bash
+# Compiz Fusion Git Retrieval/Build Script Functions
+
+function die() {
+ echo -e ${1}
+ exit 1
+}
+
+function remove_unwanted_packages() {
+ packages=""
+
+ for x in "$@"
+ do
+ # Remove packages with ! infront
+ if [[ "${x}" = "${x#!}" ]]; then
+ packages="${packages} ${x}"
+ fi
+ done
+
+ echo $packages # Return the package names
+}